Index: sys/dev/ath/if_ath.c
===================================================================
--- sys/dev/ath/if_ath.c	(revision 225126)
+++ sys/dev/ath/if_ath.c	(working copy)
@@ -5480,6 +5480,13 @@
 	struct ath_hal *ah = sc->sc_ah;
 	HAL_BEACON_TIMERS bt;
 
+	/*
+	 * YIN: AR5416+ requires a timer mode flag to enable timer,
+	 * AR521X which do not support timer mode register (0x8240)
+	 * will just ignore this flag.
+	 */
+	bt.bt_flags = HAL_BEACON_TBTT_EN | HAL_BEACON_DBA_EN | HAL_BEACON_SWBA_EN;
+ 
 	bt.bt_intval = bintval | HAL_BEACON_ENA;
 	bt.bt_nexttbtt = nexttbtt;
 	bt.bt_nextdba = (nexttbtt<<3) - sc->sc_tdmadbaprep;